html{
    min-width: 1370px;
}

body {
    background-color:azure;
    position: relative;/*←相対位置*/
    box-sizing: border-box;/*←全て含めてmin-height:100vhに*/

}

header {
    background-color: #060047;
    width: 100%;
    height: 60px;
    padding: 0% 2% 0% 5%;
    border-top: 2px solid orange;
}
footer {
    background-color: #040033;
    width: 100%;
    color :#c9c6f2;
    text-align: center;
    padding: 20px 0;
    margin-top: auto;
    bottom: 0;
    height: 90px;
}
main{
    padding: 30px 5% 30px 5%;
    border-radius: 10px 10px 10px 10px;
    background-color: #d8edff;
    margin: 30px auto 30px auto;
    width: 80%;
    min-height: 600px;
    position: relative;
}

td,th{
  border:1px solid #ccc;
  padding:10px;
}


#bodder {
    margin: 0 auto;
    display: flex;
    min-height: calc(100vh - 150px);
}
a.homebutton1 {
    height: 40px;
    font-size: 30px;
    font-weight: bold;
    color: #4671ff;
	text-decoration: none;
}

a.homebutton1-hover:hover {
    color: #2222dd;
    text-decoration: none;
}

a.homebutton2 {
    height: 40px;
    font-size: 30px;
    font-weight: bold;
    color: #d3912c;
	text-decoration: none;
}

a.homebutton2-hover:hover {
    color: #804000;
    text-decoration: none;
}

#left{
    background-color: #bedfff;
    width: 20%;
    border-left: 1px solid black;
    border-right:1px solid black;
    border-bottom:1px solid black;
    text-align: center;
    margin : 0 0 50px 0;
    border-radius: 0px 0px 20px 0px;
    height: 0%;
}
#right{
	width: 20%;
}

#middle{
	width: 60%;
    margin : 0 auto;
}

.category, input[type='checkbox'] {
    cursor: pointer;
    width: 50%;
}
.selectbox{
    display:  flex;
    flex-wrap: wrap;
}
.datecorner{
    position: absolute;
    top:10px;
    right: 10px;
}
.inputarea{
    border: 1px solid black;
    background-color: aliceblue;
    border-radius: 10px 10px 10px 10px;
    padding: 30px;
    margin: 30px 30px 30px 30px;
}
.pstbox{
    display: flex;
    flex-wrap: wrap;
    align-items: stretch;
    /*https://hop-head.hatenadiary.org/entry/20130730/1375195974*/
}
.selectionbox{
    border-radius: 10px 10px 10px 10px;
    background-color: #9fd3ff;
    margin: 30px 5%;
    padding: 30px 5%;
    width: 40%;
}

pre {
    white-space: -moz-pre-wrap;
    white-space: -pre-wrap;
    white-space: -o-pre-wrap;
    white-space: pre-wrap;
    word-wrap: break-word;
    /*https://html-coding.co.jp/knowhow/tips/000043/*/
}

.ttagory{
    width: 80%;
    margin: 0px auto;
    display: flex;
    padding: 0px 20px;
}

.ttags {
  position: relative;
  padding: 0.5em;
  background: #a6d3c8;
  color: white;
}

.ttags::before {
  position: absolute;
  content: '';
  top: 100%;
  left: 0;
  border: none;
  border-bottom: solid 15px transparent;
  border-right: solid 20px rgb(149, 158, 155);
}

.ttag{
  color: #505050;/*文字色*/
  padding: 0.5em;/*文字周りの余白*/
  display: inline-block;/*おまじない*/
  line-height: 1.3;/*行高*/
  background: #dbebf8;/*背景色*/
  vertical-align: middle;
  border-radius: 25px 0px 0px 25px;/*左側の角を丸く*/
}

.ttag:before {
  content: '●';
  color: white;
  margin-right: 8px;
}

.tcategorys {
  position: relative;
  padding: 0.5em;
  background: #a6d3c8;
  color: white;
}

.tcategorys::before {
  position: absolute;
  content: '';
  top: 100%;
  left: 0;
  border: none;
  border-bottom: solid 15px transparent;
  border-right: solid 20px rgb(149, 158, 155);
}

.tcategory{
  color: #505050;/*文字色*/
  padding: 0.5em;/*文字周りの余白*/
  display: inline-block;/*おまじない*/
  line-height: 1.3;/*行高*/
  background: #dbebf8;/*背景色*/
  vertical-align: middle;
  border-radius: 25px 0px 0px 25px;/*左側の角を丸く*/
}

.tcategory:before {
  content: '●';
  color: white;
  margin-right: 8px;
}

.searchlists{
    padding: 20px 10px;
}

.sl{
    list-style: none;
    border-top: 2px solid black;
    position: relative;
}
.slup{
    position: absolute;
    top:10px;
    width: 80%;
}
.comment{
    border-top: 2px solid black;
    padding: 0px 20px 0px 20px;
    position: relative;
}

.comment_update{
    position:relative;
    padding: 20px;
    border: 1px solid #b7b7b7;
    background-color:#e3f2ff;
    margin: 30px 0px;
}

.page_forum{
    width: 80%;
    margin: 0 auto;
}



/*popup表示させたいコンテンツのレイアウトと位置*/
#content_add_question{
  width:20%;
  line-height:30px;
  background:#fff;
  padding:0 4%;
  box-sizing:border-box;
  display:none;
  position:fixed;
  top:30%;
  -webkit-transform: translate(-50%, -50%);
  transform: translate(-50%, -50%);

    border: 1px solid black;
    border-radius: 50px;
}
.help{
  display:block;
}
/*ボタンの装飾*/
.help span{
  display:block;
  line-height:40px;
  border-radius:40px;
  text-align:center;
}
.help span:hover{
  cursor:pointer;
}
.helpinput[type="checkbox"]{
  display:none;
}
/*checkboxがcheckの状態になったらpopupを表示させる*/
.helpinput[type="checkbox"]:checked + #content_add_question{
  display:block;
}






.tertiarylist{
	width: 100%;
	display: flex;

}

.tertiary{
	width: 50%;

}

.tertiarybutton{
	margin-left:auto;

}







.box {
  width: 40%;
  margin: 0 auto;
  background: rgba(255,255,255,0.2);
  padding: 35px;
  border: 2px solid #fff;
  border-radius: 20px/50px;
  background-clip: padding-box;
  text-align: center;
}

.button {
  font-size: 1em;
  padding: 10px;
  color: #fff;
  border: 2px solid #06D85F;
  border-radius: 20px/50px;
  text-decoration: none;
  cursor: pointer;
  transition: all 0.3s ease-out;
}
.button:hover {
  background: #06D85F;
}

.overlay {
  position: fixed;
  top: 0;
  bottom: 0;
  left: 0;
  right: 0;
  background: rgba(0, 0, 0, 0.7);
  transition: opacity 500ms;
  visibility: hidden;
  opacity: 0;
}
.overlay:target {
  visibility: visible;
  opacity: 1;
}

.popup {
  margin: 70px auto;
  padding: 20px;
  background: #fff;
  border-radius: 5px;
  width: 30%;
  position: relative;
  transition: all 5s ease-in-out;
}

.popup h2 {
  margin-top: 0;
  color: #333;
  font-family: Tahoma, Arial, sans-serif;
}
.popup .close {
  position: absolute;
  top: 20px;
  right: 30px;
  transition: all 200ms;
  font-size: 30px;
  font-weight: bold;
  text-decoration: none;
  color: #333;
}
.popup .close:hover {
  color: #06D85F;
}
.popup .content {
  max-height: 30%;
  overflow: auto;
}

@media screen and (max-width: 700px){
  .box{
    width: 70%;
  }
  .popup{
    width: 70%;
  }
}

.pagination{
	justify-content: center;
	display: flex;
    padding-left: 0;
    list-style: none;
    border-radius: .25rem;
    font-size: x-large;
}
.pagination-icon{
	width:25px;
	height:25px;
}


button.a-button {
    height: 40px;
    font-size: 30px;
    font-weight: bold;
    color: #4671ff;
	text-decoration: none;
}

button.a-button-hover:hover {
    color: #2222dd;
    text-decoration: none;
}



.tertiarybutton{
	cursor: pointer;
	border: none;
	background: none;
	color: #0946ff;
}

.tertiarybutton:hover {
	text-decoration: underline;
  color: #002080;
}








@media
